List Contact Custom Fields
curl --request GET \
--url https://integration.getmateo.com/api/v1/contact_custom_field \
--header 'Authorization: Bearer <token>'import requests
url = "https://integration.getmateo.com/api/v1/contact_custom_field"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://integration.getmateo.com/api/v1/contact_custom_field', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_field_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"value": "<string>",
"date_value": "2023-12-25",
"string_value": "<string>",
"number_value": 123,
"boolean_value": true,
"datetime_value": "<string>",
"string_list_value": [
"<string>"
]
}
]Contact Custom Field
List Contact Custom Fields
Retrieve a list of contact custom fields
List Contact Custom Fields
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Contact ID
Custom field ID
Contact custom field creation date
Latest update
Organisation ID
Contact custom field key
Value of contact custom field
Date value
String value
Number value
Boolean value
Datetime value
String list value
Filtering Columns
Limiting and Pagination
Limiting and Pagination
Response
200 - application/json
OK
Contact ID
Custom field ID
Contact custom field creation date
Latest update
Organisation ID
Contact custom field key
Value of contact custom field
Date value
String value
Number value
Boolean value
Datetime value
String list value